function GetStringsFromLanguage(language)
    
    local STRINGS_EN = {
        options_lock_position_label = "Lock window position",
        options_channels_label = "Select channels",
        options_customize_colors_button = "Clic to customize colors",
        options_reset_colors_button = "Reset colors to default",
        options_reset_colors_button_confirm = "Clic again to confirm",
        options_timer_label_1 = "Notification duration: ",
        options_timer_label_2 = "s per character",
        options_account_wide_checkBox = "Save settings account wide (update on logout)",
        options_commands_label = "Type '/cn help' in the chat window to see all commands",
        options_font_size_label = "Select font size",
        options_enable_highlight = "Enable message highlight",
        channels = {
            [0] = "Undefined",
            [1] = "Error",
            [3] = "Admin",
            [4] = "Standard",
            [5] = "Say",
            [6] = "Tell and IM",
            [7] = "Emote",
            [11] = "Fellowship",
            [12] = "Kinship",
            [13] = "Kinship Officer",
            [14] = "Advancement",
            [15] = "Trade",
            [16] = "LFF",
            [17] = "Advice",
            [18] = "OOC",
            [19] = "Regional",
            [20] = "Combat Event", --Death
            [21] = "Quest",
            [23] = "Raid",
            [25] = "Unfiltered",
            [27] = "Roleplay",
            [28] = "User Chat 1",
            [29] = "User Chat 2",
            [30] = "User Chat 3",
            [31] = "User Chat 4",
            [32] = "Tribe",
            [34] = "Combat - Player",
            [35] = "Combat - Enemy",
            [36] = "Loot (Self)",
            [37] = "Loot (Fellow)",
            [38] = "World",
            [39] = "User Chat 5",
            [40] = "User Chat 6",
            [41] = "User Chat 7",
            [42] = "User Chat 8",
        }
    }

    local STRINGS_ENGB = {
        options_lock_position_label = "Lock window position",
        options_channels_label = "Select channels",
        options_customize_colors_button = "Clic to customize colours",
        options_reset_colors_button = "Reset colours to default",
        options_reset_colors_button_confirm = "Clic again to confirm",
        options_timer_label_1 = "Notification duration: ",
        options_timer_label_2 = "s per character",
        options_account_wide_checkBox = "Save settings account wide (update on logout)",
        options_commands_label = "Type '/cn help' in the chat window to see all commands",
        options_font_size_label = " Select font size",
        options_enable_highlight = "Enable message highlight",
        channels = {
            [0] = "Undefined",
            [1] = "Error",
            [3] = "Admin",
            [4] = "Standard",
            [5] = "Say",
            [6] = "Tell and IM",
            [7] = "Emote",
            [11] = "Fellowship",
            [12] = "Kinship",
            [13] = "Kinship Officer",
            [14] = "Advancement",
            [15] = "Trade",
            [16] = "LFF",
            [17] = "Advice",
            [18] = "OOC",
            [19] = "Regional",
            [20] = "Combat Event", --Death
            [21] = "Quest",
            [23] = "Raid",
            [25] = "Unfiltered",
            [27] = "Roleplay",
            [28] = "User Chat 1",
            [29] = "User Chat 2",
            [30] = "User Chat 3",
            [31] = "User Chat 4",
            [32] = "Tribe",
            [34] = "Combat - Player",
            [35] = "Combat - Enemy",
            [36] = "Loot (Self)",
            [37] = "Loot (Fellow)",
            [38] = "World",
            [39] = "User Chat 5",
            [40] = "User Chat 6",
            [41] = "User Chat 7",
            [42] = "User Chat 8",
        }
    }

    local STRINGS_FR = {
        options_lock_position_label = "Verrouiller la position de la fenêtre",
        options_channels_label = "Sélectioner les canaux",
        options_customize_colors_button = "Cliquez pour personaliser les couleurs",
        options_reset_colors_button = "Réinitialiser les couleurs",
        options_reset_colors_button_confirm = "Cliquez pour confirmer",
        options_timer_label_1 = "Temps d'affichage : ",
        options_timer_label_2 = "s par caractère",
        options_account_wide_checkBox = "Sauvegarder les paramètres pour le compte",
        options_commands_label = "Entrez '/cn help' dans le chat pour voir la liste des commandes.",
        options_font_size_label = "Sélectionez la taille du texte",
        options_enable_highlight = "Surbrillance des messages",
        channels = {
            [0] = "Non défini",
            [1] = "Erreur",
            [3] = "Admin",
            [4] = "Standard",
            [5] = "Parler",
            [6] = "MI/Dire",
            [7] = "Emote",
            [11] = "Communauté",
            [12] = "Confrérie",
            [13] = "Officier",
            [14] = "Progression",
            [15] = "Échanger",
            [16] = "RdC",
            [17] = "Conseil",
            [18] = "HDP",
            [19] = "Régional",
            [20] = "Evénement de combat",
            [21] = "Quête",
            [23] = "Raid",
            [25] = "Non filtré",
            [27] = "JDR",
            [28] = "Chat Utilisateur 1",
            [29] = "Chat Utilisateur 2",
            [30] = "Chat Utilisateur 3",
            [31] = "Chat Utilisateur 4",
            [32] = "Tribu",
            [34] = "Combat - Joueur",
            [35] = "Combat - Ennemi",
            [36] = "Butin (Soi-même)",
            [37] = "Butin (Compagnon)",
            [38] = "Monde",
            [39] = "Chat Utilisateur 5",
            [40] = "Chat Utilisateur 6",
            [41] = "Chat Utilisateur 7",
            [42] = "Chat Utilisateur 8",
        }
    }

    local STRINGS_DE = { -- Translated using DeepL
        options_lock_position_label = "Fensterposition sperren",
        options_channels_label = "Kanäle auswählen",
        options_customize_colors_button = "Klicken Sie, um die Farben anzupassen",
        options_reset_colors_button = "Klicken Sie, um die Farben zurückzusetzen",
        options_reset_colors_button_confirm = "Sicher? Klicken Sie erneut, um die Farben zurückzusetzen",
        options_timer_label_1 = "Benachrichtigungsdauer : ",
        options_timer_label_2 = "s pro Zeichen",
        options_account_wide_checkBox = "Einstellungen kontoweit speichern",
        options_commands_label = "Tippe '/cn help' in das Chat-Fenster, um alle Befehle zu sehen",
        options_font_size_label = "Schriftgröße auswählen",
        options_enable_highlight = "Hervorhebung von Nachrichten einschalten",
        channels = {
            [0] = "Undefined",
            [1] = "Error",
            [3] = "Admin",
            [4] = "Standard",
            [5] = "Say",
            [6] = "Tell and IM",
            [7] = "Emote",
            [11] = "Fellowship",
            [12] = "Kinship",
            [13] = "Kinship Officer",
            [14] = "Advancement",
            [15] = "Trade",
            [16] = "LFF",
            [17] = "Advice",
            [18] = "OOC",
            [19] = "Regional",
            [20] = "Combat Event", --Death
            [21] = "Quest",
            [23] = "Raid",
            [25] = "Unfiltered",
            [27] = "Roleplay",
            [28] = "User Chat 1",
            [29] = "User Chat 2",
            [30] = "User Chat 3",
            [31] = "User Chat 4",
            [32] = "Tribe",
            [34] = "Combat - Player",
            [35] = "Combat - Enemy",
            [36] = "Loot (Self)",
            [37] = "Loot (Fellow)",
            [38] = "World",
            [39] = "User Chat 5",
            [40] = "User Chat 6",
            [41] = "User Chat 7",
            [42] = "User Chat 8",
        }
    }

    if language == Turbine.Language.French then
        return STRINGS_FR
    elseif language == Turbine.Language.German then
        return STRINGS_EN -- STRINGS_DE
    elseif language == Turbine.Language.EnglishGB then
        return STRINGS_ENGB
    else
        return STRINGS_EN
    end
end